package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 溯源码模板对象 TssTracecodetpl
 * 
 * @author 杨晓辉
 * @date 2023-07-06
 */
public class TssTracecodetpl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 溯源码模板标识 */
    private String tracecodetplId;

    /** 溯源码模板标题 */
    @Excel(name = "溯源码模板标题")
    private String tracecodetplTitle;

    /** 溯源码模板最大扫码次数 */
    @Excel(name = "溯源码模板最大扫码次数")
    private Integer tracecodetplMaxscan;

    /** 溯源码模板长度 */
    @Excel(name = "溯源码模板长度")
    private Integer tracecodetplWidth;

    /** 溯源码模板高度 */
    @Excel(name = "溯源码模板高度")
    private Integer tracecodetplHeight;

    /** 溯源码模板色位类型 */
    @Excel(name = "溯源码模板色位类型")
    private Integer tracecodetplBitcolor;

    public void setTracecodetplId(String tracecodetplId)
    {
        this.tracecodetplId = tracecodetplId;
    }

    public String getTracecodetplId()
    {
        return tracecodetplId;
    }
    public void setTracecodetplTitle(String tracecodetplTitle)
    {
        this.tracecodetplTitle = tracecodetplTitle;
    }

    public String getTracecodetplTitle()
    {
        return tracecodetplTitle;
    }
    public void setTracecodetplMaxscan(Integer tracecodetplMaxscan)
    {
        this.tracecodetplMaxscan = tracecodetplMaxscan;
    }

    public Integer getTracecodetplMaxscan()
    {
        return tracecodetplMaxscan;
    }
    public void setTracecodetplWidth(Integer tracecodetplWidth)
    {
        this.tracecodetplWidth = tracecodetplWidth;
    }

    public Integer getTracecodetplWidth()
    {
        return tracecodetplWidth;
    }
    public void setTracecodetplHeight(Integer tracecodetplHeight)
    {
        this.tracecodetplHeight = tracecodetplHeight;
    }

    public Integer getTracecodetplHeight()
    {
        return tracecodetplHeight;
    }
    public void setTracecodetplBitcolor(Integer tracecodetplBitcolor)
    {
        this.tracecodetplBitcolor = tracecodetplBitcolor;
    }

    public Integer getTracecodetplBitcolor()
    {
        return tracecodetplBitcolor;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tracecodetplId", getTracecodetplId())
            .append("tracecodetplTitle", getTracecodetplTitle())
            .append("tracecodetplMaxscan", getTracecodetplMaxscan())
            .append("tracecodetplWidth", getTracecodetplWidth())
            .append("tracecodetplHeight", getTracecodetplHeight())
            .append("tracecodetplBitcolor", getTracecodetplBitcolor())
            .toString();
    }
}
